boolean toggle = 0;

void setup() {
  // put your setup code here, to run once:  
  
  cli();//stop interrupts
  
  //Output Compare Unit, Block Diagram
  //http://www.atmel.com/Images/Atmel-42735-8-bit-AVR-Microcontroller-ATmega328-328P_Datasheet.pdf
  
  //set timer0 interrupt at 2kHz (8 bit timer)
  TCCR0A = 0;// set entire TCCR0A register to 0 (19.9.1)
  TCCR0B = 0;// same for TCCR0B (19.9.2)
  TCNT0  = 0;//initialize counter value to 0
  // set compare match register for 2khz increments
  OCR0A = 124;// = (16*10^6) / (2000*64) - 1 (must be <256)
  // turn on CTC mode
  TCCR0A |= (1 << WGM01);d
  // Set CS01 and CS00 bits for 64 prescaler
  TCCR0B |= (1 << CS01) | (1 << CS00);
  // enable timer compare interrupt
  TIMSK0 |= (1 << OCIE0A); // (19.9.3)

  sei();//allow interrupts
}

ISR(TIMER0_COMPA_vect){
  // do stuff here
  
}

void loop() {
  // put your main code here, to run repeatedly:

}
